## kmenuedit 5.5.5

=== CMakeLists.txt ===
project(kmenuedit)
set(PROJECT_VERSION "5.5.5")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(ECMAddAppIcon)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Xml
)

find_package(KF5 REQUIRED COMPONENTS
    I18n
    XmlGui
    DBusAddons
    IconThemes
    KIO
    Sonnet
    KDELibs4Support
)

find_package(KHotKeysDBusInterface QUIET)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

add_subdirectory( pixmaps ) 
add_subdirectory( doc )

set(kmenueditcommon_STAT_SRCS preferencesdlg.cpp klinespellchecking.cpp basictab.cpp treeview.cpp kmenuedit.cpp menufile.cpp menuinfo.cpp configurationmanager.cpp )
########### next target ###############
qt5_add_dbus_adaptor( kmenueditcommon_STAT_SRCS org.kde.kmenuedit.xml kmenuedit.h KMenuEdit)

if(NOT WIN32 AND ${KHotKeysDBusInterface_FOUND})
qt5_add_dbus_interface(
    kmenueditcommon_STAT_SRCS
    ${KHOTKEYS_DBUS_INTERFACE}
    khotkeys_interface)
set(kmenueditcommon_STAT_SRCS ${kmenueditcommon_STAT_SRCS} khotkeys.cpp)

add_definitions(-DWITH_HOTKEYS)
endif()

set(kmenuedit_KDEINIT_SRCS main.cpp ${kmenueditcommon_STAT_SRCS})

kf5_add_kdeinit_executable( kmenuedit ${kmenuedit_KDEINIT_SRCS})
target_compile_definitions(kdeinit_kmenuedit PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(kdeinit_kmenuedit
    Qt5::DBus
    Qt5::Xml
    KF5::DBusAddons
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::SonnetCore
    KF5::SonnetUi
    KF5::XmlGui
    KF5::KDELibs4Support
)

install(TARGETS kdeinit_kmenuedit  DESTINATION ${KDE_INSTALL_LIBDIR} )

target_link_libraries( kmenuedit kdeinit_kmenuedit )
install(TARGETS kmenuedit ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( PROGRAMS org.kde.kmenuedit.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES kmenueditui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kmenuedit )

if(NOT WIN32 AND ${KHotKeysDBusInterface_FOUND})
add_dependencies(kdeinit_kmenuedit kded_khotkeys)
endif()

ecm_install_icons( ICONS 16-apps-kmenuedit.png  22-apps-kmenuedit.png  32-apps-kmenuedit.png  48-apps-kmenuedit.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor  )

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== doc/de/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de
                          SUBDIR kmenuedit)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR kmenuedit)

## kmenuedit 5.2.2

=== debian/changelog ===
kmenuedit (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:20:47 -0700

kmenuedit (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:40:21 -0800

kmenuedit (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:53:10 +0100

kmenuedit (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:30:26 +0100

kmenuedit (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:21:17 +0100

kmenuedit (4:5.1.1-0ubuntu2) vivid; urgency=medium

  * Remove unnecesary data package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Nov 2014 12:37:27 +0100

kmenuedit (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * Initial release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:45:04 +0100

=== debian/control ===
Source: kmenuedit
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               khotkeys-dev,
               kio-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev ( >= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5sonnet-dev (>= 5.2.0),
               libkf5xmlgui-dev (>= 5.2.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               xauth,
               xvfb
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/kde/unstable/plasma/kmenuedit

Package: kmenuedit
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XDG menu editor
 This package provides a menu editor which may be used to edit the KDE Plasma
 workspaces menu or any other XDG menu.
 .
 This package contains the runtime files.

Package: kmenuedit-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: kmenuedit (= ${binary:Version}), ${misc:Depends}
Description: XDG menu editor
 This package provides a menu editor which may be used to edit the KDE Plasma
 workspaces menu or any other XDG menu.
 .
 This package contains the debugging symbols.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/kmenuedit-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/kmenuedit-(.*)\.tar\.xz

## kmenuedit 5.4.2

=== debian/changelog ===
kmenuedit (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:54:15 +0100

kmenuedit (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:16:36 +0100

kmenuedit (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:50:23 +0100

kmenuedit (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:14:17 +0200

kmenuedit (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:28:21 +0000

kmenuedit (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:31:03 +0200

kmenuedit (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:52:08 +0200

kmenuedit (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:19 +0100

kmenuedit (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 12 Feb 2015 22:05:52 +0100

=== debian/control ===
Source: kmenuedit
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               khotkeys-dev,
               kinit-dev,
               kio-dev (>= 5.2.0),
               libkf5dbusaddons-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5sonnet-dev (>= 5.2.0),
               libkf5xmlgui-dev (>= 5.2.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4.0~),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kmenuedit
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kmenuedit.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kmenuedit.git

Package: kmenuedit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XDG menu editor
 This package provides a menu editor which may be used to edit the KDE Plasma
 workspaces menu or any other XDG menu.
 .
 This package contains the runtime files.

Package: kmenuedit-dbg
Section: debug
Priority: extra
Architecture: any
Depends: kmenuedit (= ${binary:Version}), ${misc:Depends}
Recommends: qtbase5-dbg
Description: XDG menu editor
 This package provides a menu editor which may be used to edit the KDE Plasma
 workspaces menu or any other XDG menu.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kmenuedit-dbg

## kmenuedit 5.5.5

=== debian/changelog ===
kmenuedit (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:40:40 -0700

kmenuedit (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes. 
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:22:19 +0100

kmenuedit (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:31:31 +0100

kmenuedit (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:36 +0100

kmenuedit (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:47 +0200

kmenuedit (4:5.4.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 05 Oct 2015 11:44:38 -0700

kmenuedit (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:44:54 +0200

kmenuedit (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 13:28:31 +0200

kmenuedit (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).
  * Update copyright information.
  * Add the missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 02 Jul 2015 11:39:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               khotkeys-dev,
-               kinit-dev,
-               kio-dev (>= 5.2.0),
-               libkf5dbusaddons-dev,
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5iconthemes-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5sonnet-dev (>= 5.2.0),
-               libkf5xmlgui-dev (>= 5.2.0),
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               extra-cmake-modules (>= 5.18.0~),
+               khotkeys-dev (>= 4:5.5.5~),
+               kinit-dev (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5kdelibs4support-dev (>= 5.18.0~),
+               libkf5sonnet-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
+               pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.4.0~),
                xauth,
                xvfb
@@ -27,6 +27,8 @@
 Package: kmenuedit
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: XDG menu editor
  This package provides a menu editor which may be used to edit the KDE Plasma
  workspaces menu or any other XDG menu.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kmenuedit-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/kmenuedit-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/kmenuedit-([\d.]+)\.tar\.xz

## kmenuedit 5.7.5

=== debian/changelog ===
kmenuedit (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:26:44 -0500

kmenuedit (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:05:18 +0000

kmenuedit (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * Adding lintian override for package-must-activate-ldconfig-trigger
  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:45:06 +0100

kmenuedit (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:18:20 -0700

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               khotkeys-dev (>= 4:5.5.5~),
-               kinit-dev (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5kdelibs4support-dev (>= 5.18.0~),
-               libkf5sonnet-dev (>= 5.18.0~),
-               libkf5xmlgui-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               khotkeys-dev (>= 4:5.7.5~),
+               kinit-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5sonnet-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.4.0~),
+               qtbase5-dev (>= 5.6.1~),
                xauth,
                xvfb
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/kmenuedit
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kmenuedit.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kmenuedit.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmenuedit
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmenuedit
 
 Package: kmenuedit
 Architecture: any

## kmenuedit 5.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kmenuedit)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.4")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
@@ -43,7 +43,7 @@
 ########### next target ###############
 qt5_add_dbus_adaptor( kmenueditcommon_STAT_SRCS org.kde.kmenuedit.xml kmenuedit.h KMenuEdit)
 
-if(NOT WIN32 AND ${KHotKeysDBusInterface_FOUND})
+if(NOT WIN32 AND KHotKeysDBusInterface_FOUND)
 qt5_add_dbus_interface(
     kmenueditcommon_STAT_SRCS
     ${KHOTKEYS_DBUS_INTERFACE}
@@ -82,7 +82,7 @@
 install( PROGRAMS org.kde.kmenuedit.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
 install( FILES kmenueditui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kmenuedit )
 
-if(NOT WIN32 AND ${KHotKeysDBusInterface_FOUND})
+if(NOT WIN32 AND KHotKeysDBusInterface_FOUND)
 add_dependencies(kdeinit_kmenuedit kded_khotkeys)
 endif()

=== debian/changelog ===
kmenuedit (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:35:47 +0100

kmenuedit (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:28:36 +0200

kmenuedit (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:02:15 +0200

kmenuedit (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:11:41 +0200

kmenuedit (4:5.7.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Recommend khotkeys: while kmenuedit works mostly fine without the
    khotkeys kded module, it is needed at runtime to deal with global
    shortcuts. (Closes: #796981)
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove kmenuedit.install, no more used now

 -- Maximiliano Curia <maxy@debian.org>  Wed, 31 Aug 2016 15:51:52 +0200

kmenuedit (4:5.6.5-1) unstable; urgency=medium

  * Update lintian override for libkdeinit5_kmenuedit.so

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 15:35:14 +0200

kmenuedit (4:5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Force installing in debian/tmp
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 13:00:01 +0200

kmenuedit (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:44 +0100

=== debian/control ===
Source: kmenuedit
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               khotkeys-dev,
               kinit-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5kio-dev (>= 5.2.0),
               libkf5sonnet-dev (>= 5.2.0),
               libkf5xmlgui-dev (>= 5.2.0),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4.0~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kmenuedit
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kmenuedit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kmenuedit.git

Package: kmenuedit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khotkeys
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: XDG menu editor
 This package provides a menu editor which may be used to edit the KDE Plasma
 workspaces menu or any other XDG menu.
 .
 This package contains the runtime files.

## kmenuedit 5.9.4

=== debian/changelog ===
kmenuedit (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:56:54 +0000

kmenuedit (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:50:52 +0000

kmenuedit (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:03:58 +0000

kmenuedit (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:18:54 +0000

kmenuedit (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:28 +0000

kmenuedit (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:16 +0000

kmenuedit (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Simon Quigley ]
  * New upstream release (5.8.3)
  * Merge from Debian

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:53:40 +0000

## kmenuedit 5.9.5

=== debian/changelog ===
kmenuedit (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:15:22 +0100

=== debian/control ===
Source: kmenuedit
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               khotkeys-dev (>= 4:5.9.4~),
               kinit-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kmenuedit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmenuedit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmenuedit

Package: kmenuedit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khotkeys
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: XDG menu editor
 This package provides a menu editor which may be used to edit the KDE Plasma
 workspaces menu or any other XDG menu.
 .
 This package contains the runtime files.

## kmenuedit 5.10.5

=== debian/changelog ===
kmenuedit (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:06 +0100

kmenuedit (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:36:58 +0100

kmenuedit (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:32 +0100

kmenuedit (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:11:40 +0100

kmenuedit (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:24 +0100

kmenuedit (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:48:42 +0100

kmenuedit (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:30:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               khotkeys-dev (>= 4:5.9.4~),
-               kinit-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5sonnet-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               khotkeys-dev (>= 4:5.10.5~),
+               kinit-dev (>= 5.36.0~),
+               libkf5dbusaddons-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5iconthemes-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5sonnet-dev (>= 5.36.0~),
+               libkf5xmlgui-dev (>= 5.36.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
                xauth,

## kmenuedit 5.12.4

=== pixmaps/CMakeLists.txt ===
ecm_install_icons( ICONS 22-actions-menu_new.png  22-actions-menu_new_sep.png  32-actions-menu_new.png  32-actions-menu_new_sep.png DESTINATION ${KDE_INSTALL_DATADIR}/kmenuedit/icons  THEME hicolor )

=== debian/changelog ===
kmenuedit (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:53:00 +0100

kmenuedit (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:01 +0000

kmenuedit (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:36 +0000

kmenuedit (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:40 +0000

kmenuedit (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:07 +0000

kmenuedit (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:47 +0000

kmenuedit (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:48 -0600

kmenuedit (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               khotkeys-dev (>= 4:5.10.5~),
-               kinit-dev (>= 5.36.0~),
-               libkf5dbusaddons-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5iconthemes-dev (>= 5.36.0~),
-               libkf5kdelibs4support-dev (>= 5.36.0~),
-               libkf5kio-dev (>= 5.36.0~),
-               libkf5sonnet-dev (>= 5.36.0~),
-               libkf5xmlgui-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               khotkeys-dev (>= 4:5.12.4~),
+               kinit-dev (>= 5.42.0~),
+               libkf5dbusaddons-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5iconthemes-dev (>= 5.42.0~),
+               libkf5kdelibs4support-dev (>= 5.42.0~),
+               libkf5kio-dev (>= 5.42.0~),
+               libkf5sonnet-dev (>= 5.42.0~),
+               libkf5xmlgui-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
                xauth,

## kmenuedit 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kmenuedit)
-set(PROJECT_VERSION "5.8.4")
+set(PROJECT_VERSION "5.12.8")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
@@ -11,7 +11,7 @@
 include(ECMAddAppIcon)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
@@ -82,11 +82,12 @@
 install( PROGRAMS org.kde.kmenuedit.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
 install( FILES kmenueditui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kmenuedit )
 
-if(NOT WIN32 AND KHotKeysDBusInterface_FOUND)
-add_dependencies(kdeinit_kmenuedit kded_khotkeys)
-endif()
-
 ecm_install_icons( ICONS 16-apps-kmenuedit.png  22-apps-kmenuedit.png  32-apps-kmenuedit.png  48-apps-kmenuedit.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor  )
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
+
+  find_package(KF5DocTools CONFIG)
+  if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+  endif()

=== debian/changelog ===
kmenuedit (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:39:13 +0100

kmenuedit (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:46 +0100

kmenuedit (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.42.0~),
-               khotkeys-dev (>= 4:5.12.4~),
+               khotkeys-dev (>= 4:5.12.8~),
                kinit-dev (>= 5.42.0~),
                libkf5dbusaddons-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
@@ -18,7 +18,7 @@
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kmenuedit
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmenuedit

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,5 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kmenuedit-dbg
+	$(overridden_command) --dbgsym-migration='kmenuedit-dbg (<= 4:5.5.5-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kmenuedit-([\d.]+)\.tar\.xz

## kmenuedit 5.13.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kmenuedit)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.13.5")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")

=== debian/changelog ===
kmenuedit (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:47 +0100

kmenuedit (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks, Qt & Plasma build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 17:59:18 +0100

kmenuedit (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:00 +0200

kmenuedit (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:57 +0100

kmenuedit (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:47 +0100

kmenuedit (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:59 +0200

kmenuedit (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:00 +0100

kmenuedit (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:23:59 +0200

kmenuedit (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:58 +0100

kmenuedit (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:45 +0200

kmenuedit (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:48 +0100

kmenuedit (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:35 +0100

kmenuedit (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Bump libkf5itemmodels-dev and libkf5kdelibs4support-dev versions to build against the new version
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:40 +0100

kmenuedit (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:55 -0300

kmenuedit (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:23 +0200

kmenuedit (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:45 +0200

kmenuedit (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
-               khotkeys-dev (>= 4:5.12.8~),
+               khotkeys-dev (>= 4:5.13.5~),
                kinit-dev (>= 5.42.0~),
                libkf5dbusaddons-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
                libkf5iconthemes-dev (>= 5.42.0~),
+               libkf5itemmodels-dev (>= 5.42~),
                libkf5kdelibs4support-dev (>= 5.42.0~),
                libkf5kio-dev (>= 5.42.0~),
                libkf5sonnet-dev (>= 5.42.0~),
@@ -19,7 +20,7 @@
                qtbase5-dev (>= 5.6.1~),
                xauth,
                xvfb,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/kmenuedit
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmenuedit
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmenuedit
@@ -27,7 +28,7 @@
 Package: kmenuedit
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: khotkeys
+Recommends: khotkeys (>= 4:5.13)
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: XDG menu editor

## kmenuedit 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(kmenuedit)
-set(PROJECT_VERSION "5.13.5")
+set(PROJECT_VERSION "5.14.5")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.4.0")
+set(QT_MIN_VERSION "5.11.0")
 
 find_package(ECM 1.7.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
@@ -27,6 +27,8 @@
     IconThemes
     KIO
     Sonnet
+    DocTools
+    Init
     KDELibs4Support
 )

=== debian/changelog ===
kmenuedit (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:50 -0300

kmenuedit (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:57 -0300

=== debian/control ===
Source: kmenuedit
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.7.0~),
               khotkeys-dev,
               kinit-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev (>= 5.2.0),
               libkf5itemmodels-dev (>= 5.42~),
               libkf5kdelibs4support-dev (>= 5.42~),
               libkf5kio-dev (>= 5.2.0),
               libkf5sonnet-dev (>= 5.2.0),
               libkf5xmlgui-dev (>= 5.2.0),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.11.0~),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kmenuedit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmenuedit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmenuedit.git

Package: kmenuedit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khotkeys (>= 4:5.14)
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: XDG menu editor
 This package provides a menu editor which may be used to edit the KDE Plasma
 workspaces menu or any other XDG menu.
 .
 This package contains the runtime files.

## kmenuedit 5.15.4

=== debian/changelog ===
kmenuedit (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:09:25 +0100

kmenuedit (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:52 +0000

kmenuedit (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:13:32 +0000

kmenuedit (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:33:21 +0000

kmenuedit (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:58 +0000

kmenuedit (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:24:12 +0000

kmenuedit (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:04 +0000

kmenuedit (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:07 +0000

=== debian/control ===
Source: kmenuedit
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               khotkeys-dev (>= 4:5.15.4~),
               kinit-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5itemmodels-dev (>= 5.54.0~),
               libkf5kdelibs4support-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5sonnet-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kmenuedit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmenuedit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmenuedit

Package: kmenuedit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khotkeys (>= 4:5.14)
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: XDG menu editor
 This package provides a menu editor which may be used to edit the KDE Plasma
 workspaces menu or any other XDG menu.
 .
 This package contains the runtime files.

## kmenuedit 5.16.5

=== debian/changelog ===
kmenuedit (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:24:03 +0100

kmenuedit (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:52 +0100

kmenuedit (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:22:11 +0100

kmenuedit (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:23:08 +0100

kmenuedit (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:23:39 +0100

kmenuedit (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:50 +0100

kmenuedit (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:58 +0100

kmenuedit (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               khotkeys-dev (>= 4:5.15.4~),
-               kinit-dev (>= 5.54.0~),
-               libkf5dbusaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5iconthemes-dev (>= 5.54.0~),
-               libkf5itemmodels-dev (>= 5.54.0~),
-               libkf5kdelibs4support-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5sonnet-dev (>= 5.54.0~),
-               libkf5xmlgui-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               khotkeys-dev (>= 4:5.16.5~),
+               kinit-dev (>= 5.58.0~),
+               libkf5dbusaddons-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5iconthemes-dev (>= 5.58.0~),
+               libkf5itemmodels-dev (>= 5.58.0~),
+               libkf5kdelibs4support-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5sonnet-dev (>= 5.58.0~),
+               libkf5xmlgui-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
                xauth,
